---
title: "DELETE /_system/storages/{guid} - System Storages · RUAL Documentation"
description: "Delete storage configuration (only if empty, requires setting_system_storages permission)"
canonical: https://docs.rual.nl/cluster/api/system-storages/system-storages--guid-delete
language: en
---

# DELETE /_system/storages/{guid}

Delete storage configuration (only if empty, requires setting_system_storages permission)

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **guid** required | `string` | 'a23575f49d0af385314c1f02280163374297e018a692e5e...' | Storage GUID to delete |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
{
  "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc"
}
```

```
{
  "error": "INSUFFICIENT_PERMISSIONS"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `ERROR` | Storage not deleted successfully |
| `404` | `ERROR` | Storage not found |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `storages_remove` | Required scope: storages_remove |
